Bug 190431 - nscd is segfaulting when using ldap
nscd is segfaulting when using ldap
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2006-05-02 05:48 EDT by Ola Thoresen
Modified: 2008-05-06 11:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:52:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 200963 None None None Never

  None (edit)
Description Ola Thoresen 2006-05-02 05:48:29 EDT
Description of problem:
nscd is segfaulting when using ldap.
Could not finde a bugzilla # for the error, but it was discussed on the
fedora-list a while back.

Version-Release number of selected component (if applicable):
# rpm -q nscd
# rpm -q nss_ldap
# rpm -q glibc
# uname -psr
Linux 2.6.16-1.2080_FC5 x86_64

How reproducible:
"After a while"
It has segfaulted 3-4 times the last month, sometimes after 2 days, sometimes
after 2 weeks.

Apr 30 10:14:33 poseidon kernel: nscd[22751]: segfault at 00002aab40bff595 rip
00002aaaaea4e005 rsp 0000000040c00170 error 4
May  2 10:06:39 poseidon kernel: nscd[19046]: segfault at 00002aab40bfef22 rip
00002aaaaea4e005 rsp 0000000040c00170 error 4
Apr 11 12:30:35 poseidon kernel: nscd[32383]: segfault at 00002aab40bfee9f rip
00002aaaaea4e005 rsp 0000000040c00170 error 4

It seems very much like the URL mentioned.
Comment 1 Robert Buffington 2006-09-02 15:34:08 EDT
I have this same problem in Fedora Core 4 with nscd-2.3.6-3 on an x86_64 using 
nss_ldap-234-4. (LDAP server is running on another machine.) Other similar 
bugs suggested removing the "persistent" lines from the nscd.conf file, but 
that didn't help me. It still segfaults at random times. I have other i386 FC4 
systems with similar software configurations running with no problems.

I'm replying here because I think the severity needs to be elevated to high 
because when nscd dies when using LDAP authentication, you can't log onto the 
system, no personal web pages can be located, and incoming mail is sent back 
with a "user unknown" error. That's pretty serious. The only workaround I can 
think of at the moment is to manually add all LDAP users into /etc/passwd. 
What's the point of LDAP then?

Sep  1 15:31:02 kernel: nscd[25257]: segfault at 00002aab401fee25 rip 
0000555555561aaa rsp 00000000401ffa80 error 4
Sep  1 16:31:48 kernel: nscd[26936]: segfault at 00002aab401fe085 rip 
00002aaaab1a0750 rsp 00000000401fe5c8 error 4
Sep  2 06:48:09 kernel: nscd[19870]: segfault at 00002aab401fe8c1 rip 
00002aaaae654324 rsp 00000000401ff200 error 4
Comment 2 Bug Zapper 2008-04-03 22:48:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:52:28 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.